For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update poster template

Update poster template

Required permissions: SUPERADMIN

put
/tenants/{tenantUid}/poster-templates/{posterTemplateUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
posterTemplateUidstringRequired

Reference to a poster template

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
htmlstringOptional

template body

sizestring · enumOptionalPossible values:
orientationstring · enumOptionalPossible values:
previewImagestringOptional

base64 encoded image data

thousandSeparatorstring · enumOptionalPossible values:
Responses
200

Example response

application/json
posterTemplateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
htmlstringRequired

template body

sizestring · enumRequiredPossible values:
orientationstring · enumRequiredPossible values:
previewImagestringRequired

base64 encoded image data

thousandSeparatorstring · enumRequiredPossible values:
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/poster-templates/{posterTemplateUid}
PUT /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116

{
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA"
}
200

Example response

{
  "posterTemplateUid": "text",
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?